QuestieInterfaceTexts = {
    ["Settings"] = {
        ["alwaysShowObjectives"] = {
            ["enUS"] = {
                ["default"] = "true",
                ["name"] = "Always Show Quest Notes",
                ["description"] = "When this option is enabled, notes for all quests are displayed on the map regardless of the quests tracking status.\n\nWhen it is disabled, notes are only shown for quests tracked in the quest log (Shift+Click a quest in the quest log to change its tracking status).",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Всегда отображать заметки задания",
                ["description"] = "Когда эта настройка включена, заметки для всех заданий отображаются на карте независимо от состояния отслеживания квестов.\n\nКогда она отключена, заметки отображаются только для заданий, отслеживаемых в журнале заданий (Shift+Нажатие на задании в журнале заданий, чтобы изменить статус отслеживания).",
            },
        },
        ["arrowEnabled"] = {
            ["enUS"] = {
                ["default"] = "true",
                ["name"] = "Enable Questie Arrow",
                ["description"] = "This option toggles the Questie Arrow on and off. You can make the arrow point to the nearest quest icon by clicking on a quest in the Questie Tracker.",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Стрелка заданий",
                ["description"] = "Переключение состояний стрелки заданий (вкл/выкл). Вы можете установить стрелку на ближайший значок задания, нажав на задание в отслеживании заданий.",
            },
        },
        ["boldColors"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Questie Tracker Colors",
                ["description"] = "This option toggles two different coloring schemes for the Questie Tracker.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Цвета отслеживания заданий",
                ["description"] = "Переключение между двумя разными цветовыми схемами для отслеживания заданий.",
            },
        },
        ["clusterQuests"] = {
            ["enUS"] = {
                ["default"] = "true",
                ["name"] = "Cluster Worldmap Notes",
                ["description"] = "This option toggles the merging of notes on the world map that are close together. It helps with seeing quest notes that would otherwise be ontop of one another (e.g. quest start notes in densely populated quest hubs). Minimap notes are not affected by this setting.",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Объединять задания находящиеся рядом",
                ["description"] = "Объединяет заметки на карте мира находящиеся рядом друг с другом. Это помогает увидеть заметки задания, которые в противном случае были бы поверх друг друга (например, заметки о начале задания в густонаселенных местах). Эта настройка не влияет на заметки на мини-карте.",
            },
        },
        ["corpseArrow"] = {
            ["enUS"] = {
                ["default"] = "true",
                ["name"] = "Show Corpse Arrow",
                ["description"] = "This option toggles the Questie Arrow which points to the players corpse when he is dead on and off.",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Стрелка до тела",
                ["description"] = "Переключение состояния стрелки до тела, когда вы погибаете.",
            },
        },
        ["getVersion"] = QuestieVersion,
        ["hideMinimapIcons"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Hide Minimap Icons",
                ["description"] = "This option toggles the Questie minimap notes on and off.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Скрыть значки на мини-карте",
                ["description"] = "Переключение состояния значков на мини-карте.",
            },
        },
        ["maxLevelFilter"] = {
            ["enUS"] = {
                ["default"] = "true",
                ["name"] = "Max Level Filter",
                ["description"] = "This option toggles the Max Level Filter for quest start display on and off. When it is enabled only quests up to a certain level above the player are displayed. The level is controled by the \"Max Show Level\" option.",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Фильтр максимального уровня",
                ["description"] = "Переключение состояния фильтра максимального уровня для отображения начала заданий. Когда он включен, отображаются только задания выше уровня игрока на определенное число. Уровень контролируется с помощью параметра «Максимальный отображаемый уровень».",
            },
        },
        ["maxShowLevel"] = {
            ["enUS"] = {
                ["default"] = "7",
                ["name"] = "Max Show Level",
                ["description"] = "This option controls how much the level requirement of a quest may be above the player level for the quest start to be shown on the map.",
            },
            ["ruRU"] = {
                ["default"] = "7",
                ["name"] = "Максимальный отображаемый уровень",
                ["description"] = "Этот параметр определяет, насколько уровень требований задания может быть выше уровня игрока, чтобы начало задания отображалось на карте.",
            },
        },
        ["minimapButton"] = {
            ["enUS"] = {
                ["default"] = "true",
                ["name"] = "Show Minimap Button",
                ["description"] = "This option toggles the Questie minimap button on and off.",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Кнопка на мини-карте",
                ["description"] = "Переключение состояния кнопки на мини-карте.",
            },
        },
        ["minimapZoom"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Hide Minimap Notes",
                ["description"] = "This option toggles the Questie minimap notes on and off.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Заметки на мини-карте",
                ["description"] = "Переключение состояния заметок на мини-карте.",
            },
        },
        ["minLevelFilter"] = {
            ["enUS"] = {
                ["default"] = "true",
                ["name"] = "Min Level Filter",
                ["description"] = "This option toggles the Min Level Filter for quest start display on and off. When it is enabled only quests up to a certain level below the player are displayed. The level is controled by the \"Min Show Level\" option.",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Фильтр минимального уровня",
                ["description"] = "Переключение состояния фильтра минимального уровня для отображения начала заданий. Когда он включен, отображаются только задания ниже уровня игрока на определенное число. Уровень контролируется с помощью параметра «Минимальный отображаемый уровень».",
            },
        },
        ["minShowLevel"] = {
            ["enUS"] = {
                ["default"] = "4",
                ["name"] = "Min Show Level",
                ["description"] = "This option controls how much the level of a quest may be below the player level for the quest start to be shown on the map.",
            },
            ["ruRU"] = {
                ["default"] = "4",
                ["name"] = "Минимальный отображаемый уровень",
                ["description"] = "Этот параметр определяет, насколько уровень требований задания может быть ниже уровня игрока, чтобы начало задания отображалось на карте.",
            },
        },
        ["resizeWorldmap"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Resize Worldmap",
                ["description"] = "When enabled, this option resizes the World Map window from a fullscreen display to a movable window. Note that this setting might have no effect if you use separate a map addon.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Размер карты мира",
                ["description"] = "Когда этот параметр включен, этот параметр изменяет размеры окна «Карта мира» на полноэкранном дисплее в подвижном окне. Обратите внимание, что этот параметр не будет иметь эффекта, если вы используете отдельный аддон карты.",
            },
            ["requiresReload"] = true,
        },
        ["showMapNotes"] = {
            ["enUS"] = {
                ["default"] = "True",
                ["name"] = "Show Map Notes",
                ["description"] = "This option toggles Questies world map and minimap notes on and off.",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Заметки на карте мира",
                ["description"] = "Переключение состояния заметок на карте мира.",
            },
        },
        ["hideObjectives"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Hide Objective Markers",
                ["description"] = "This option toggles showing of objectives (mob locations etc). If enabled only quest icons (!/?) are shown.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Скрыть цели заданий",
                ["description"] = "Переключение состояния заметок целей заданий (расположение монстров и т.д.). Если включено, будут отображаться только значки заданий (!/?).",
            },
        },
        ["showProfessionQuests"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Show Profession Quests",
                ["description"] = "This option toggles the quest start display of profession quests on and off.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Задания профессий",
                ["description"] = "Переключение состояния отображения задания профессий.",
            },
        },
        ["showToolTips"] = {
            ["enUS"] = {
                ["default"] = "true",
                ["name"] = "Show Tooltips",
                ["description"] = "This option toggles the display of additional quest objective information in the tooltips that appear when mousing over a creature, an object or an item.",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Подсказки",
                ["description"] = "Эта опция переключает отображение дополнительной информации об объекте задания в подсказках, которые появляются, когда курсор мыши над существом, объектом или предметом.",
            },
            ["requiresReload"] = true,
        },
        ["showTrackerHeader"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Show Tracker Header",
                ["description"] = "This option toggles the display of the number of active quests in the Questie Tracker.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Заголовок отслеживания заданий",
                ["description"] = "Этот параметр переключает отображение количества активных заданий в отслеживании заданий.",
            },
            ["requiresReload"] = true,
        },
        ["trackerAlpha"] = {
            ["enUS"] = {
                ["default"] = "60%",
                ["name"] = "Tracker Transparency",
                ["description"] = "This option controls how opaque the background of the Questie Tracker is displayed (if the background is enabled.",
            },
            ["ruRU"] = {
                ["default"] = "60%",
                ["name"] = "Прозрачность отслеживания заданий",
                ["description"] = "Этот параметр определяет, насколько непрозрачен фон отслеживания заданий (если фон включен).",
            },
        },
        ["trackerBackground"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Tracker Background",
                ["description"] = "This option toggles the Questie Tracker background on and off.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Фон отслеживания заданий",
                ["description"] = "Переключение состояния фона отслеживания заданий.",
            },
            ["requiresReload"] = true,
        },
        ["trackerEnabled"] = {
            ["enUS"] = {
                ["default"] = "True",
                ["name"] = "Enable Questie Tracker",
                ["description"] = "This option toggles the Questie Tracker on and off. The Questie Tracker replaces the default quest tracker and allows you to track more quests at the same time. It also enables you to show an arrow pointing to the closest objective of a quest, by clicking on the quest in the tracker.",
            },
            ["ruRU"] = {
                ["default"] = "включено",
                ["name"] = "Отслеживание заданий",
                ["description"] = "Отслеживание заданий заменяет стандартное отслеживание и позволяет вам отслеживать больше заданий одновременно. Он также позволяет вам показать стрелку, указывающую на ближайшую цель задания, нажав на задание в отслеживании.",
            },
            ["requiresReload"] = true,
        },
        ["trackerList"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Tracker Sorting Direction",
                ["description"] = "When this option is enabled, tracker elements are added from top to bottom, meaning the list will grow downwards.\n\nWhen this option is enabled, tracker elements are added from bottom to top, meaning the list will grow upwards.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Направление отслеживаемых заданий",
                ["description"] = "Когда эта опция выключена, элементы отслеживания добавляются сверху вниз, что означает, что список будет расти вниз.\n\nКогда эта опция включена, элементы отслеживания добавляются снизу вверх, что означает, что список будет расти вверх.",
            },
            ["requiresReload"] = true,
        },
        ["trackerMinimize"] = {
            ["enUS"] = {
                ["default"] = "false",
                ["name"] = "Minimize Tracker",
                ["description"] = "This option toggles the display of the Questie Tracker on and off.",
            },
            ["ruRU"] = {
                ["default"] = "выключено",
                ["name"] = "Уменьшение отслеживания",
                ["description"] = "Переключение состояния отслеживания заданий.",
            },
        },
        ["trackerScale"] = {
            ["enUS"] = {
                ["default"] = "100%",
                ["name"] = "Tracker Scale",
                ["description"] = "This option controls the size of the Questie Tracker.",
            },
            ["ruRU"] = {
                ["default"] = "100%",
                ["name"] = "Размер отслеживания",
                ["description"] = "Этот параметр контролирует размер отслеживания заданий.",
            },
            ["requiresReload"] = true,
        },
    }
}
